image: node

stages:
- setup
- test
- end

cache:
    paths:
    - node_modules/

install:
    stage: setup
    script:
    - npm install
test:
    before_script: 
    - npm install
    stage: test
    script: npm test
    
lint:
    before_script: 
    - npm install
    stage: test
    script: npm run lint

end:
    stage: end
    script: echo "C la fin tututu"